无版图Ubuntu-18.04LTS:罗技(Logitech)的Unifying接收器的固件驱动(firmware)无法晋级更新的解决方法

目前(2019年11月16日),我使用无版图(Ubuntu)18.04LTS版本,最近,在更新罗技(Logitech)的Unifying接收器的固件驱动(firmware)时,遇到无法晋级更新的问题。

为什么要更新固件的驱动?因为最近,许多这些周边的应用器材,就像路由器一样,遭受一些有心人的恶意攻击,结果,毒菌满天飞。因此,这些遭受攻击的周边应用器材供应商,都提供了固件驱动晋级与更新的程序,让用户及时修补这些被恶意攻击的固件。但是,一般只提供微软视窗或者苹果的修补程序,其他的平台,就只能望门兴叹了。还好,开源的世界总是有好心人,提供自救的解决方法。

无版图的Linux世界,也不例外。

阅读了许多网上的资讯,最后,我尝试了下列的方法,结果成功更新和晋级了罗技的Unifying接收器的固件驱动(Firmware)。写在这里,当作自己的笔记,也与大家分享。

一、首先,我必须在此声明:我是在无版图(Ubuntu)18.04版本测试成功。

二、更新罗技(Logitech)的Unifying接收器的固件驱动(firmware)晋级更新失败,出现的信息:

cannot handle firmware requirement not-child

找出原因,原来是apt的fwupd更新固件的程序的版本太低,无法晋级。apt的fwupd版本是:

client version: 1.0.9
checkout info: 1.0.9

三、因此,必须先卸载这个低版本的fwupd。打开终端器(Terminal),输入:

sudo apt remove fwupd

四、卸载了apt版本的fwupd之后,安装snap版本的fwupd。在终端器里输入:

sudo snap install fwupd --classic

这个版本的fwupd是:

client version: 1.2.10
checkout info: 1.2.10

我现在安装的时候,这个版本最新:2019年7月的版本。

五、安装后之后,重启(reboot)。必须重启,否则,您在进行下一步是会出现找不到某某文件的错误信息。

六、重启之后,在终端器输入:

sudo fwupdmgr refresh

七、接着可以进行晋级更新固件驱动了。在终端器输入:

fwupdmgr update

八、至此,如果没有任何错误信息,就是大功告成了。

我是这样把我的罗技(Logitech)的Unifying接收器的固件驱动(firmware)晋级成功的。

如果要检查fwupdmgr的版本号,可以在终端器里输入:

fwupdmgr --version

这时,终端器里会显示版本号。我现在(2019年11月16日)目前的版本号是:

client version: 1.3.3
checkout info: 1.3.3
compile-time dependency versions
gusb: 0.2.11
efivar: 34
daemon version: 1.3.3

如果要检查罗技(Logitech)的Unifying接收器的固件驱动(firmware)的版本号,可以在终端器里输入:

fwupdmgr get-devices

这时,终端器里会显示版本号。我现在(2019年11月16日)目前的版本号是:

Unifying Receiver:
│ Summary: A miniaturised USB wireless receiver
│ Current version: RQR12.10_B0032
│ Bootloader Version: BOT01.02_B0014
│ Vendor: Logitech, Inc. (USB:0x046D)

如果您要个图形界面的显示罗技(Logitech)的Unifying接收器的的简单设置界面,可以安装Solaar软件。这个软件,可以在无版图的软件库里找到:

Solaar的显示界面:

如果发现Solaar上没有显示Unifying接收器,我的解决方法是:把那个Unifying接收器从USB的埠口拔下再插上,过一会儿就会在Solaar的界面上显示Unifying接收器的详情了。

Print Friendly, PDF & Email

相关课题:

留言:

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据